### Method

# Gegl MetadataStore set_string

#### Declaration [src]

    void
    gegl_metadata_store_set_string (
      GeglMetadataStore* self,
      const gchar* name,
      const gchar* string
    )

#### Description [src]

A slightly more efficient version of `gegl_metadata_store_set_value()` for string values avoiding a duplication. Otherwise it behaves the same gegl_metadata_store_set_value().

#### Parameters

`name`

  Type: `const gchar*`

  Metadata name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`string`

  Type: `const gchar*`

  String value to set.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.